Skip to main content
GET
/
api
/
teams
/
{team_id}
/
ip_whitelists
Error
A valid request URL is required to generate request examples
{
  "hydra:member": [
    {
      "@id": "<string>",
      "@type": "<string>",
      "ip_address": "",
      "@context": "<string>",
      "id": "<string>",
      "is_enabled": true,
      "team": {
        "@id": "<string>",
        "@type": "<string>",
        "name": "<string>",
        "@context": "<string>",
        "id": "<string>",
        "owner_email": "<string>"
      },
      "proxy_account": {
        "@id": "<string>",
        "@type": "<string>",
        "@context": "<string>",
        "id": "<string>",
        "description": "<string>",
        "enabled": true,
        "status": "ACCOUNT_BLOCKED",
        "is_active": false,
        "username": "<string>",
        "plain_password": "<string>",
        "team": {
          "@id": "<string>",
          "@type": "<string>",
          "name": "<string>",
          "@context": "<string>",
          "id": "<string>",
          "owner_email": "<string>"
        }
      },
      "tags": [
        {
          "@id": "<string>",
          "@type": "<string>",
          "label": "",
          "@context": "<string>",
          "id": "<string>",
          "color": "#FF0000",
          "team": "https://example.com/",
          "created_by": "https://example.com/"
        }
      ]
    }
  ],
  "hydra:totalItems": 1,
  "hydra:search": {
    "@type": "<string>",
    "hydra:template": "<string>",
    "hydra:variableRepresentation": "<string>",
    "hydra:mapping": [
      {
        "@type": "<string>",
        "variable": "<string>",
        "property": "<string>",
        "required": true
      }
    ]
  },
  "hydra:view": {
    "@id": "string",
    "@type": "string",
    "hydra:first": "string",
    "hydra:last": "string",
    "hydra:previous": "string",
    "hydra:next": "string"
  }
}

Authorizations

api-key
string
header
required

Value for the api-key header parameter.

Path Parameters

team_id
string
required

Team identifier

Query Parameters

page
integer
default:1

The collection page number

itemsPerPage
integer
default:30

The number of items per page

Required range: 0 <= x <= 30
proxy_account
string
proxy_account[]
string[]
tags
string
tags[]
string[]
order[ip_address]
enum<string>
default:asc
Available options:
asc,
desc

Response

IPWhitelist collection

IPWhitelist.jsonld-ip_whitelist.read_tag.read_team.restricted_proxy_account.restricted collection.

hydra:member
object[]
required
hydra:totalItems
integer
Required range: x >= 0
hydra:view
object
Example:
{
"@id": "string",
"@type": "string",
"hydra:first": "string",
"hydra:last": "string",
"hydra:previous": "string",
"hydra:next": "string"
}